summaryrefslogtreecommitdiffstats
path: root/tests/exe/ob-installplatconf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/exe/ob-installplatconf.sh')
-rwxr-xr-xtests/exe/ob-installplatconf.sh72
1 files changed, 72 insertions, 0 deletions
diff --git a/tests/exe/ob-installplatconf.sh b/tests/exe/ob-installplatconf.sh
new file mode 100755
index 0000000..f4d2c00
--- /dev/null
+++ b/tests/exe/ob-installplatconf.sh
@@ -0,0 +1,72 @@
+# Tests for ob-installdocs
+#
+# Copyright (C) 2019 Patrick McDermott
+#
+# This file is part of opkbuild.
+#
+# opkbuild is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkbuild is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+. "${TOP_SRCDIR}/tests/aux/common.sh"
+
+plan_ 4
+
+export OB_TEST_DATADIR=
+
+for dir in 'foo' 'foo_1.0'; do
+ OB_TEST_DATADIR="${TOP_SRCDIR}/tests/data/platconf_${dir}"
+ rm -f 'poem'
+ command_ok_ 'ob-installplatconf exit status' -- \
+ ob-installplatconf
+ cmd_is 'correct file copied' cat 'poem' <<-EOF
+ JABBERWOCKY
+
+ 'Twas brillig, and the slithy toves
+ Did gyre and gimble in the wabe;
+ All mimsy were the borogoves,
+ And the mome raths outgrabe.
+
+ 'Beware the Jabberwock, my son!
+ The jaws that bite, the claws that catch!
+ Beware the Jubjub bird, and shun
+ The frumious Bandersnatch!'
+
+ He took his vorpal sword in hand:
+ Long time the manxome foe he sought--
+ So rested he by the Tumtum tree,
+ And stood awhile in thought.
+
+ And as in uffish thought he stood,
+ The Jabberwock, with eyes of flame,
+ Came whiffling through the tulgey wood,
+ And burbled as it came!
+
+ One, two! One, two! And through and through
+ The vorpal blade went snicker-snack!
+ He left it dead, and with its head
+ He went galumphing back.
+
+ 'And hast thou slain the Jabberwock?
+ Come to my arms, my beamish boy!
+ O frabjous day! Callooh! Callay!'
+ He chortled in his joy.
+
+ 'Twas brillig, and the slithy toves
+ Did gyre and gimble in the wabe;
+ All mimsy were the borogoves,
+ And the mome raths outgrabe.
+ EOF
+done